summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tlpkginfo
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2020-01-20 22:49:56 +0000
committerKarl Berry <karl@freefriends.org>2020-01-20 22:49:56 +0000
commit912572d81b0ed3d7ac9fe322e50d793f8f033522 (patch)
tree923f33bca6c819a46513ecb624fdc827075d6e99 /Master/tlpkg/bin/tlpkginfo
parent0480e40defcc2fd417207ff1de49c8b44aa4a968 (diff)
wasy (20jan20)
git-svn-id: svn://tug.org/texlive/trunk@53468 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tlpkginfo')
-rwxr-xr-xMaster/tlpkg/bin/tlpkginfo7
1 files changed, 5 insertions, 2 deletions
diff --git a/Master/tlpkg/bin/tlpkginfo b/Master/tlpkg/bin/tlpkginfo
index 86aa4823f3d..c5543f1980c 100755
--- a/Master/tlpkg/bin/tlpkginfo
+++ b/Master/tlpkg/bin/tlpkginfo
@@ -89,7 +89,7 @@ sub ctaninfo {
if ($ARGV[0] eq "--ctan-dir") {
my $output = &find_ctan_dir ($ARGV[1], 0);
- print "$output\n";
+ print "$output\n" if $output;
return $output ? 0 : 1;
} elsif ($ARGV[0] eq "--prepare") {
@@ -256,6 +256,8 @@ sub find_ctan_dir {
# a temp dir).
$ctan_dir = "$CTAN/$ctan_dir"
if defined $ctan_dir && $ctan_dir =~ m,^[^/],;
+
+ warn "$0:find_ctan_dir: no dir for $pkgname?\n" if ! $ctan_dir;
return $ctan_dir;
}
@@ -306,7 +308,7 @@ sub catalogue_find_ctan_path {
my $catfile = &catalogue_find_file ($pkgname);
return undef if ! $catfile;
-
+
# get the raw tag from the catalogue file.
open (CATFILE, "<$catfile") || die "open($catfile) failed, fixme: $!";
while ($ctan_path = <CATFILE>) {
@@ -322,6 +324,7 @@ sub catalogue_find_ctan_path {
}
close CATFILE;
$ctan_path =~ s/\n/ /g; # put it on one line
+#warn "catalogue ctan path start: $ctan_path\n";
($ctan_path) = ($ctan_path =~ m,(<.*?/>),); # remove angle brackets
return undef unless $ctan_path; # if it's not present at all